<template>
	<el-dialog title="" :visible.sync="dialogFormVisible">
		<el-form :model="form" label-width="80px">
			<el-form-item class="marginBottom10" label="用户名">
				<el-col :span="18" :offset="1">
					<el-input v-model="form.userName" placeholder="请输入用户名"></el-input>
				</el-col>
			</el-form-item>
			<el-form-item class="marginBottom10" label="手机号码">
				<el-row>
					<el-col :span="18" :offset="1">
						<el-input v-model="form.cellPhone" placeholder="请输入手机号码"></el-input>
					</el-col>
				</el-row>
			</el-form-item>
			<el-form-item class="marginBottom10" label="验证码">
				<el-row>
					<el-col :span="12" :offset="1">
						<el-input maxlength="11" type="number" v-model="form.verifyCode" placeholder="请输入验证码"></el-input>
					</el-col>
					<el-col :span="5" :offset="1">
						<el-button
							style="width:100%;"
							type="primary"
							:disabled="sms_time === 0 ? false : true"
							@click="sendSms"
						>{{sms_time ? sms_time + '秒' : '发送验证码'}}</el-button>
					</el-col>
				</el-row>
			</el-form-item>
		</el-form>
		<div slot="footer" class="dialog-footer flexHcenter">
			<el-button type="primary" @click="postHttpInfo">提交</el-button>
		</div>
	</el-dialog>
</template>

<script>
export default {
	mixins: [$mixin],
	data() {
		return {
			dialogFormVisible: false,
			form: {
				userName: '',
				cellPhone: '',
				type: '2',
				verifyCode: ''
			},
			sms_time: 0
		}
	},
	watch: {
		sms_time(val) {
			if (val) {
				setTimeout(() => {
					this.sms_time = val - 1
				}, 1000)
			}
		}
	},
	methods: {
		show() {
			this.dialogFormVisible = true
		},
		postHttpInfo() {
			if (
				!this.form.userName ||
				!this.form.cellPhone ||
				!this.form.verifyCode
			) {
				this.alert('请先完善表单信息')
				return false
			}
			this.$http
				.post({
					url: 'user/findPassWord',
					params: this.form
				})
				.then(
					({ data }) => {
						this.alert('找回成功')
						this.dialogFormVisible = false
					},
					msg => {
						this.alert(msg)
					}
				)
		},
		sendSms() {
			console.log(this.form)
			if (!this.form.userName || !this.form.cellPhone) {
				this.alert('请先完善表单信息')
				return false
			}
			this.$http
				.get({
					url: 'user/getVerifyCode',
					params: this.form
				})
				.then(
					({ data }) => {},
					msg => {
						this.alert(msg)
					}
				)
		}
	}
}
</script>

<style lang="less" scoped>
</style>
